%define fw_version 5.38

Summary:	KDE Frameworks 5 system level services daemon
Name:		kded
Version:	5.38.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5init-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	%{name}-i18n

%description
KDE Frameworks 5 system level services daemon.

KDED stands for KDE Daemon which isn't very descriptive. It runs in the
background and performs a number of small tasks. Some of these tasks are
built in, others are started on demand.

%files
%{_kde5_bindir}/*
%{_kde5_mandir}/man8/kded5.8*
%{_kde5_libdir}/libkdeinit5_kded5.so
%{_kde5_servicetypes}/kdedmodule.desktop
%{_datadir}/dbus-1/services/org.kde.kded5.service

#----------------------------------------------------------------------------

%package i18n
Summary:	KDED translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDED translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define devkf5kded %mklibname kf5kded -d

%package -n %{devkf5kded}
Summary:	Development files for KDE Frameworks 5 system level services daemon
Group:		Development/KDE and Qt
Requires:	%{name}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kded-devel = %{version}

%description -n %{devkf5kded}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kded}
%{_kde5_libdir}/cmake/KDED
%{_datadir}/dbus-1/interfaces/org.kde.kded5.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (105c053) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (d6e6d35) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (2eecf2c) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (21210d4) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (1687cf6) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (64bcc80) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (18bef66) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (0ae59a2) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (f5b163f) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (f2a791a) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (7713d05) MassBuild#1023: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (1fa0ca2) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (e63d646) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (ba58427) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (87f956e) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (ad6a542) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (02f1955) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (f1e75fd) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (0285cfc) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (7d3fcf5) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (77f5068) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (afd4c68) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (bad31c6) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (b74631e) New version 5.11.0

* Mon May 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (6a04673) Adjust BuildRequires format
- (Andrey Bondrov: 655c077) New version 5.10.0

* Wed Apr 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (2d25de6) Development package requires main package

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (314ab84) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (0a683a7) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (b923692) MassBuild#682: Increase release tag


